import { Auth0ClientOptions, GetIdTokenClaimsOptions, GetTokenSilentlyOptions, GetTokenWithPopupOptions, IdToken, LogoutOptions, RedirectLoginOptions } from '@auth0/auth0-spa-js';
export declare function loginWithPopup(): Promise<void>;
export declare function handleRedirectCallback(): Promise<void>;
export declare function loginWithRedirect(o: RedirectLoginOptions): Promise<void>;
export declare function getIdTokenClaims(o: GetIdTokenClaimsOptions): Promise<IdToken>;
export declare function getTokenSilently(o: GetTokenSilentlyOptions): Promise<any>;
export declare function getTokenWithPopup(o: GetTokenWithPopupOptions): Promise<string>;
export declare function logout(o: LogoutOptions): void;
export declare function initClient(options: Auth0ClientOptions, callbackRedirect: any): Promise<void>;
