import { User } from '@auth0/auth0-spa-js';
export interface AuthState {
    loading: boolean;
    isAuthenticated: boolean;
    user: User;
    popupOpen: boolean;
    error: any | null;
}
export declare const state: {
    loading: boolean;
    isAuthenticated: boolean;
    user: {
        [x: string]: any;
        name?: string | undefined;
        given_name?: string | undefined;
        family_name?: string | undefined;
        middle_name?: string | undefined;
        nickname?: string | undefined;
        preferred_username?: string | undefined;
        profile?: string | undefined;
        picture?: string | undefined;
        website?: string | undefined;
        email?: string | undefined;
        email_verified?: boolean | undefined;
        gender?: string | undefined;
        birthdate?: string | undefined;
        zoneinfo?: string | undefined;
        locale?: string | undefined;
        phone_number?: string | undefined;
        phone_number_verified?: boolean | undefined;
        address?: string | undefined;
        updated_at?: string | undefined;
        sub?: string | undefined;
    };
    popupOpen: boolean;
    error: any | null;
};
